# libdar::zapette Class Reference
[Private]

zapette emulate a file that is remotely controlled by slave_zapette More...

`#include <zapette.hpp>`

Inherits libdar::contextual.

List of all members.

## Public Member Functions
| zapette (user_interaction &dialog, generic_file *input, generic_file *output)
| zapette constructor
bool | skip (const infinint &pos)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
bool | skip_relative (S_I x)
| skip relatively to the current position
infinint | get_position ()
| get the current read/write position

## Detailed Description

zapette emulate a file that is remotely controlled by slave_zapette

class zapette sends order to slave_zapette throw a a first pipe and receive informations or data in return from a second pipe from slave_zapette

Definition at line 52 of file zapette.hpp.

## Constructor & Destructor Documentation

libdar::zapette::zapette | ( | user_interaction & | dialog,
|  | generic_file * | input,
|  | generic_file * | output |
| ) |  |  |

zapette constructor

Parameters:

  `[in]` | dialog | is used to return status information to the user
  `[in]` | input | is the pipe (see class tuyau) from which is received the information or data
  `[in]` | output | is used to send orders to slave_zapette

The documentation for this class was generated from the following file:

- zapette.hpp